﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace DataGridFieldConcat
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable table = new DataTable();
            table.Columns.Add("Number", typeof(int));
            table.Columns.Add("Address", typeof(string));
            table.Columns.Add("FirstName", typeof(string));
            table.Columns.Add("LastName", typeof(string));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(25, "WallStreet", "David", "Johnson");
            table.Rows.Add(50, "WallStreet", "Sam", "Larry");
            table.Rows.Add(10, "WallStreet", "Christoff", "Smith");
            table.Rows.Add(21, "WallStreet", "Janet", "Doe");
            table.Rows.Add(100, "WallStreet", "Melanie", "Griffin");

            xamDataGrid1.DataSource = table.DefaultView;
        }
    }
}
